
QGIS Application - Bug report #12344

SVG Symbols not showing up Style Manager

2015-03-09 03:14 PM - Tristan Forward

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20520

Description

SVG path is set to:

Settings > Options > System > SVG Path > "C:\\OSGeo4W64\\apps\\qgis\\svg"

Confirmed the SVG folder has SVG images.

In Layer Properties > Style Manager > Marker Symbols only 14 marker symbols show up... cannot see any from custom path.

I have reinstalled QGIS and delete registry keys and still no luck any ideas?

History

#1 - 2015-03-09 03:16 PM - Tristan Forward

Forgot to mention is import from an .XML file or website it does "work" however often the symbols are just question marks.

#2 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#3 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#4 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2017-10-31 01:46 AM - Nyall Dawson

- Resolution set to invalid

- Description updated

- Status changed from Open to Closed

If I understand correctly - this is a workflow issue, not a QGIS issue.

Adding svg paths to QGIS will make them available if you create a new svg based symbol (e.g. svg marker symbol or svg fill symbol), but it will not
automatically create new symbols for each SVG present.

Please re-open if I've misinterpreted.
